From c53804cda9081b40f410e28772e2234644e2f630 Mon Sep 17 00:00:00 2001
From: P. J. McDermott <pj@pehjota.net>
Date: Tue, 27 Oct 2015 02:13:46 -0400
Subject: tools/shmin.sh: Remove temporary output file

---
diff --git a/tools/shmin.sh b/tools/shmin.sh
index 02684b6..2e402fa 100755
--- a/tools/shmin.sh
+++ b/tools/shmin.sh
@@ -190,6 +190,9 @@ minify()
 	if ! cat "${output}~" >"${output}"; then
 		die 'Cannot rename file to "%s"' "${output}"
 	fi
+	if ! rm "${output}~"; then
+		die 'Cannot remove file "%s"' "${output}~"
+	fi
 }
 
 usage()
--
cgit v0.9.1